uuid-1.3.15: For creating, comparing, parsing and printing Universally Unique Identifiers

Copyright | (c) 2008-2009 Antoine Latter
License | BSD-style
Maintainer | aslatter@gmail.com
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.UUID.V5

Description

This module implements Version 5 UUIDs as specified in RFC 4122.

These UUIDs identify an object within a namespace, and are deterministic.

The namespace is identified by a UUID. Several sample namespaces are enclosed.

Synopsis

- generateNamed :: UUID -> [Word8] -> UUID
- namespaceDNS :: UUID
- namespaceURL :: UUID
- namespaceOID :: UUID
- namespaceX500 :: UUID

# Documentation

generateNamed Source #

Arguments

:: UUID | Namespace
-> [Word8] | Object
-> UUID |

Generate a `UUID` within the specified namespace out of the given object.

Uses a SHA1 hash. The UUID is built from first 128 bits of the hash of the namespace UUID and the name (as a series of Word8).

namespaceDNS :: UUID Source #

The namespace for DNS addresses

namespaceURL :: UUID Source #

The namespace for URLs

namespaceOID :: UUID Source #

The namespace for ISO OIDs

namespaceX500 :: UUID Source #

The namespace for X.500 DNs